CMSIS-DSP: arm_rfft_q31.c File Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_rfft_q31.c File Reference

## Functions
void | arm_split_rfft_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pATable, q31_t *pBTable, q31_t *pDst, uint32_t modifier)
| Core Real FFT process. More...
void | arm_split_rifft_q31 (q31_t *pSrc, uint32_t fftLen, q31_t *pATable, q31_t *pBTable, q31_t *pDst, uint32_t modifier)
| Core Real IFFT process. More...
void | arm_rfft_q31 (const arm_rfft_instance_q31 *S, q31_t *pSrc, q31_t *pDst)
| Processing function for the Q31 RFFT/RIFFT. More...

## Function Documentation

void arm_split_rfft_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pATable,
|  | q31_t * | pBTable,
|  | q31_t * | pDst,
|  | uint32_t | modifier
| ) |  |

end of RealFFT group

Parameters

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References mult_32x32_keep32_R, multAcc_32x32_keep32_R, and multSub_32x32_keep32_R.

Referenced by arm_rfft_q31().

void arm_split_rifft_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | q31_t * | pATable,
|  | q31_t * | pBTable,
|  | q31_t * | pDst,
|  | uint32_t | modifier
| ) |  |

Parameters

  [in] | *pSrc | points to the input buffer.
  [in] | fftLen | length of FFT.
  [in] | *pATable | points to the twiddle Coef A buffer.
  [in] | *pBTable | points to the twiddle Coef B buffer.
  [out] | *pDst | points to the output buffer.
  [in] | modifier | twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.

Returns
  none.

References mult_32x32_keep32_R, multAcc_32x32_keep32_R, and multSub_32x32_keep32_R.

Referenced by arm_rfft_q31().